/******************************************************************************

  Copyright (C) 1999, 2000 NVIDIA Corporation
  This file is provided without support, instruction, or implied warranty of any
  kind.  NVIDIA makes no guarantee of its fitness for a particular purpose and is
  not liable under any circumstances for any damages or loss whatsoever arising
  from the use or inability to use this file or items derived from it.
  
    Comments:
    
      
        
******************************************************************************/

#define CV_CONVIENIENCE_CONSTANTS 0

#define CV_ZERO c[CV_CONVIENIENCE_CONSTANTS].x
#define CV_HALF c[CV_CONVIENIENCE_CONSTANTS].y
#define CV_ONE c[CV_CONVIENIENCE_CONSTANTS].z
#define CV_TWO c[CV_CONVIENIENCE_CONSTANTS].w

#define CV_WORLDVIEWPROJ_0 2
#define CV_WORLDVIEWPROJ_1 3
#define CV_WORLDVIEWPROJ_2 4
#define CV_WORLDVIEWPROJ_3 5

#define CV_WORLDVIEW_0 6
#define CV_WORLDVIEW_1 7
#define CV_WORLDVIEW_2 8
#define CV_WORLDVIEW_3 9

#define CV_WORLDVIEWIT_0 10
#define CV_WORLDVIEWIT_1 11
#define CV_WORLDVIEWIT_2 12

#define CV_WORLD_0 13
#define CV_WORLD_1 14
#define CV_WORLD_2 15
#define CV_WORLD_3 16

#define CV_LIGHT_COLOR 19
#define CV_ONE_OVER_LIGHT_RANGE 20

#define CV_LIGHT_DIRECTION	21
#define CV_LIGHT_POSITION	22

#define CV_BUMP_SCALE		23

#define CV_EYE_POS_OBJECT	24

#define	CV_WORLDOBJECT_0	25
#define	CV_WORLDOBJECT_1	26
#define	CV_WORLDOBJECT_2	27
#define	CV_WORLDOBJECT_3	28

#define V_POSITION		v0
#define V_NORMAL		v1
#define V_DIFFUSE		v2
#define V_TEXTURE		v3
#define V_SxT			v4
#define V_S				v5
#define V_T				v6

#define CP_LIGHT_DIRECTION	0
#define CP_BLEND_DIFFUSE	0
#define CP_BLEND_SPECULAR	1
#define CP_NORMALMAPDIR		0
#define CP_SPECULARARITY	0
